PULSAR
API ReferenceMachine Count

Get Latest Counts In Seconds

Get count for last 5 mins, in seconds

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

machineId*number

The machine's ID.

Formatdouble

Response Body

application/json

Try it live
GET
/machine-count/latest-counts-in-seconds

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/machine-count/latest-counts-in-seconds?machineId=0.1"
{  "scrap": [    {      "time": "string",      "timestamp": 0.1,      "y": 0.1,      "x": 0.1    }  ],  "defects": [    {      "time": "string",      "timestamp": 0.1,      "y": 0.1,      "x": 0.1    }  ],  "correct": [    {      "time": "string",      "timestamp": 0.1,      "y": 0.1,      "x": 0.1    }  ],  "total": [    {      "time": "string",      "timestamp": 0.1,      "y": 0.1,      "x": 0.1    }  ],  "end": "string",  "start": "string"}